Loading...
Searching...
No Matches
parser_schema.h File Reference

Schema parsers for libyang. More...

`#include "log.h"`
Include dependency graph for parser_schema.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | LYS_INFORMAT { LYS_IN_UNKNOWN = 0 , LYS_IN_YANG = 1 , LYS_IN_YIN = 3 }
| Schema input formats accepted by libyang parser functions. More...

## Functions

LIBYANG_API_DECL LY_ERR | lys_parse (struct ly_ctx *ctx, struct ly_in *in, LYS_INFORMAT format, const char **features, struct lys_module **module)
| Load a schema into the specified context.
LIBYANG_API_DECL LY_ERR | lys_parse_fd (struct ly_ctx *ctx, int fd, LYS_INFORMAT format, struct lys_module **module)
| Read a schema from file descriptor into the specified context.
LIBYANG_API_DECL LY_ERR | lys_parse_mem (struct ly_ctx *ctx, const char *data, LYS_INFORMAT format, struct lys_module **module)
| Load a schema into the specified context.
LIBYANG_API_DECL LY_ERR | lys_parse_path (struct ly_ctx *ctx, const char *path, LYS_INFORMAT format, struct lys_module **module)
| Load a schema into the specified context from a file.
LIBYANG_API_DECL LY_ERR | lys_search_localfile (const char *const *searchpaths, ly_bool cwd, const char *name, const char *revision, char **localfile, LYS_INFORMAT *format)
| Search for the schema file in the specified searchpaths.

## Detailed Description

Schema parsers for libyang.

Author
  Radek Krejci rkrej.nosp@m.ci@c.nosp@m.esnet.nosp@m..cz

Copyright (c) 2015-2020 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file parser_schema.h.